リスト identityUserFlowAttributes
[アーティクル]
12/06/2021
3 人の共同作成者
この記事の内容
名前空間: microsoft.graph
identityUserFlowAttribute オブジェクトの一覧を取得 します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可 」を参照してください。
アクセス許可の種類
アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント)
IdentityUserFlow.Read.All、IdentityUserFlow.ReadWrite.All
委任 (個人用 Microsoft アカウント)
サポートされていません。
アプリケーション
IdentityUserFlow.Read.All、IdentityUserFlow.ReadWrite.All
仕事または学校のアカウントは、次のいずれかの役割に属している必要があります。
全体管理者
外部 ID ユーザー Flow属性管理者
HTTP 要求
GET /identity/userFlowAttributes
名前
説明
Authorization
ベアラー {token}。必須。
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは応答コードと、応答本文の 200 OK identityUserFlowAttribute オブジェクトのコレクションを返します。
例
要求
要求の例を次に示します。
GET https://graph.microsoft.com/v1.0/identity/userFlowAttributes
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var userFlowAttributes = await graphClient.Identity.UserFlowAttributes
.Request()
.GetAsync();
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/identity/userFlowAttributes"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphIdentityUserFlowAttribute *identityUserFlowAttribute = [[MSGraphIdentityUserFlowAttribute alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
IdentityUserFlowAttributeCollectionPage userFlowAttributes = graphClient.identity().userFlowAttributes()
.buildRequest()
.get();
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Identity().UserFlowAttributes().Get()
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
応答
応答の例を次に示します。
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#userFlowAttributes",
"value": [
{
"id": "City",
"displayName": "City",
"description": "Your city",
"userFlowAttributeType": "builtIn",
"dataType": "string"
},
{
"id": "extension_d09380e2b4c6429a203fb816a04a7ad_Hobby",
"displayName": "Hobby",
"description": "Your hobby",
"userFlowAttributeType": "custom",
"dataType": "string",
},
]
}